[Upstream] LibreOffice Calc screws formula when saving in sxc format

Bug #1280288 reported by Franck on 2014-02-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
LibreOffice
Fix Released
Medium
libreoffice (Fedora)
Won't Fix
Medium
libreoffice (Ubuntu)
Wishlist
Unassigned

Bug Description

When saving under sxc format, Calc will screw up all formulas.
ooow: are added, and formulas end-up being treated as text.

Steps to reproduce:
- create a new spreadsheet document
- insert any formula
- save with sxc format
- re-open the file...

Changing anything in an old sxc file and saving will break you document...

Here is a link to a similar bug report (redhat): https://bugzilla.redhat.com/show_bug.cgi?id=1021095

Upstream bug opened: https://www.libreoffice.org/bugzilla/show_bug.cgi?id=74979

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: libreoffice 1:4.2.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-8.28-generic 3.13.2
Uname: Linux 3.13.0-8-generic x86_64
ApportVersion: 2.13.2-0ubuntu3
Architecture: amd64
CurrentDesktop: Unity
Date: Fri Feb 14 14:22:11 2014
InstallationDate: Installed on 2013-02-16 (362 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20130216)
SourcePackage: libreoffice
UpgradeStatus: Upgraded to trusty on 2014-01-22 (22 days ago)

Description of problem:

Version-Release number of selected component (if applicable): 4.1.2.3-3.fc19

How reproducible:every time

Steps to Reproduce:
1.make ANY small correction to a .SXC file with formulas
2.save in .SXC format (openoffice 1.0)
3.Open the file again

Actual results:
All formula fields are marked ooow:.....

Expected results:
Unchanged file

Additional info:
BUG is appeard with in the last week
Save the file in .ods format is ok.

Problem description:

Steps to reproduce:
- create a new spreadsheed document
- insert any formula
- save with sxc format
- re-open the file...

Current behavior:
all formulas are treated as text, and read as ooow:+formula

Expected behavior:
formulas work and my (potentialy big and important) document is not broken :-)

Operating System: Ubuntu
Version: 4.2.0.4 release

Franck (alci) wrote :
John Kim (kotux) on 2014-02-14
description: updated

confirmed by multiple downstream bugs

*** Bug 69489 has been marked as a duplicate of this bug. ***

.sxc export will be dropped in 4.3.0. Let's not make this a MAB.

Ok, but maybe we should then drop the export in 4.2. too? Would be a in-series regression (well, sort of), but better removing the export than collecting more dupes here. As is the export isnt that useful: still better to force people to write ODS instead of broken sxc ...

When will the sxc filter be removed? Currently they are still there.
(Version: 4.3.0.0.alpha0+ Build ID: ecf22894f522374cbdb8196d3bdef88e2fba7af9; TinderBox: Win-x86@47-TDF, Branch:MASTER, Time: 2014-02-15_01:01:54 )

Changed in df-libreoffice:
importance: Unknown → Medium
status: Unknown → Confirmed

Franck, given .sxc is a legacy format, superseded by .ods, and the current upstream focus is to drop it altogether https://www.libreoffice.org/bugzilla/show_bug.cgi?id=74979#c3 , it would be best to export to .ods going forward.

Changed in libreoffice (Ubuntu):
importance: Undecided → Wishlist
status: New → Won't Fix
summary: - Libreoffice calc screws formula when saving in sxc format
+ [Upstream] LibreOffice Calc screws formula when saving in sxc format

(In reply to comment #5)
> When will the sxc filter be removed? Currently they are still there.

Even in the Save as dialog?

(In reply to comment #4)
> Ok, but maybe we should then drop the export in 4.2. too? Would be a
> in-series regression (well, sort of), but better removing the export than
> collecting more dupes here. As is the export isnt that useful: still better
> to force people to write ODS instead of broken sxc ...

Yeah I'd be fine with it. We just need to backport the removal commit, plus some adjustment in the test that failed due to the removal.

(In reply to comment #6)
> (In reply to comment #5)
> > When will the sxc filter be removed? Currently they are still there.
>
> Even in the Save as dialog?

I've updated my version to Version: 4.3.0.0.alpha0+
Build ID: ecf22894f522374cbdb8196d3bdef88e2fba7af9
TinderBox: Win-x86@47-TDF, Branch:MASTER, Time: 2014-02-15_01:01:54

And indeed, it is no longer available, neither in "save" nor in "save as".

Those 2 backported commits will remove saving to those legacy file formats, including sxc.

Fixed by removing sxc from the export filter list.

Changed in df-libreoffice:
status: Confirmed → Fix Released

this happens in LO 4.1 too? are you sure?

there was an upstream bug 74979 about broken formulas in OOo XML export
but that was only in 4.2 and was fixed by removing the OOo XML export...

Have just tried it again with version 4.1.6.2 build 4.16.2-7.fc19

Still same problem

I can supply the .sxc file

This message is a notice that Fedora 19 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 19. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 19 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Changed in libreoffice (Fedora):
importance: Unknown → Medium
status: Unknown → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.